%define upstream_name    CGI-Application-Plugin-Session
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Add CGI::Session support to CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Application)
BuildRequires: perl(CGI::Session)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
Requires:      perl(CGI::Session)
BuildArch: noarch


%{?perl_default_filter}

%description
CGI::Application::Plugin::Session seamlessly adds session support to your
the CGI::Application manpage modules by providing a the CGI::Session
manpage object that is accessible from anywhere in the application.

Lazy loading is used to prevent expensive file system or database calls
from being made if the session is not needed during this request. In other
words, the Session object is not created until it is actually needed. Also,
the Session object will act as a singleton by always returning the same
Session object for the duration of the request.

This module aims to be as simple and non obtrusive as possible. By not
requiring any changes to the inheritance tree of your modules, it can be
easily added to existing applications. Think of it as a plugin module that
adds a couple of new methods directly into the CGI::Application namespace
simply by loading the module. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.50.0-8pclos2017
- rebuild against updates

